<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Cafe Latte - Timesheets</title>

    <!-- Bootstrap core CSS -->
    <link href="../vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom fonts for this template -->
    <link href="https://fonts.googleapis.com/css?family=Raleway:100,100i,200,200i,300,300i,400,400i,500,500i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Lora:400,400i,700,700i" rel="stylesheet">

    <!-- Custom styles for this template -->
    <link href="../css/business-casual.min.css" rel="stylesheet">

</head>

<body>

    <h1 class="site-heading text-center text-white d-none d-lg-block">
        <span class="site-heading-upper text-primary mb-3">Welcome to the</span>
        <span class="site-heading-lower">Employee Cafe</span>
    </h1>

    <!-- Navigation -->
    <nav class="navbar navbar-expand-lg navbar-dark py-lg-4" id="mainNav">
        <div class="container">
            <a class="navbar-brand text-uppercase text-expanded font-weight-bold d-lg-none" href="#">employee cafe -
        Timesheets</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
            <div class="collapse navbar-collapse" id="navbarResponsive">
                <ul class="navbar-nav mx-auto">
                    <li class="nav-item active px-lg-4">
                        <a class="nav-link text-uppercase text-expanded" href="employeeCafe.html">Employee Cafe
              <span class="sr-only">(current)</span>
            </a>
                    </li>
                    <li class="nav-item px-lg-4">
                        <a class="nav-link text-uppercase text-expanded" href="#">Profile</a>
                    </li>

                    <!-- Timesheet Dropdown -->
                    <div class="collapse navbar-collapse" id="navbarNavDarkDropdown">
                        <ul class="navbar-nav">
                            <li class="nav-item dropdown">
                                <a class="nav-link dropdown-toggle text-uppercase text-expanded" href="#" id="navbarDarkDropdownMenuLink" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                  Timesheet
                </a>
                            </li>
                            <div class="dropdown-menu" style="background-color: #e6a856e3" aria-labelledby="dropdownMenuLink">

                                <li><a class="dropdown-item" href="createTimesheet.html">Create Timesheet</a></li>
                                <li><a class="dropdown-item" href="#">Personal Timesheets</a></li>
                                <li><a class="dropdown-item" href="timesheet.html">Master Timesheet</a></li>
                                <li><a class="dropdown-item" href="#">Edit Timesheet</a></li>
                                <li>
                                    <a class="dropdown-item" href="#"></a>
                                </li>
                            </div>
                        </ul>
                        </li>

                    </div>

                    <!---------------------------------------->
                    <li class="nav-item px-lg-4">
                        <a class="nav-link text-uppercase text-expanded" href="adminCafe.html">Admin</a>
                    </li>
                    <li class="nav-item px-lg-4">
                        <a class="nav-link text-uppercase text-expanded" id="logout-link" href="login.html">Logout</a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>

    <section class="page-section about-heading">
        <div class="container">
            <img class="img-fluid rounded about-heading-img mb-3 mb-lg-0" src="../Images/about.jpg" alt="">
            <div class="about-heading-content">
                <div class="row">
                    <div class="col-xl-9 col-lg-10 mx-auto">
                        <div class="bg-faded rounded p-5">
                            <h2 class="section-heading mb-4">
                                <span class="section-heading-upper">Find Timesheets By </span>
                                <span class="section-heading-lower">Employee Id: </span>
                            </h2>

                            <caption>Search Timesheet List</caption>

                            <div class="input-group mb-3">
                                <input type="number" id="employeeIdInput" class="form-control" placeholder="Employee Id">
                                <button class="btn btn-outline-secondary" type="button" id="button-addon2">Search</button>
                              </div>

                            <caption>Please enter employee Id</caption>
                            <table id="timesheet-table" class="table table-bordered" hidden>

                                <thead>
                                    <tr>
                                        <th scope="col">Entry Id</th>
                                        <th scope="col">Date</th>
                                        <th scope="col">PTO Hours</th>
                                        <th scope="col">Hours</th>
                                        <th scope="col">Comment</th>
                                    </tr>
                                </thead>
                                <tbody id="timesheet-table-body">
                                    <tr>

                                        <!-- Rendered timesheet list here -->

                                    </tr>
                                </tbody>
                            </table>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <footer class="footer text-faded text-center py-5">
        <div class="container">
            <p class="m-0 small">Copyright &copy; Cafe Latte 2021</p>
        </div>
    </footer>

    <!-- Bootstrap core JavaScript -->
    <script src="../vendor/jquery/jquery.min.js"></script>
    <script src="../vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
    <script src="../JAVASCRIPT/timesheetByEmployeeId.js"></script>
    <script src="../JAVASCRIPT/server-requests.js"></script>

</body>

</html>